clang-tools 10.0.0

Public Attributes | List of all members
clang::clangd::LineHighlightings Struct Reference

Contains all information about highlightings on a single line. More...

`#include <SemanticHighlighting.h>`

Collaboration diagram for clang::clangd::LineHighlightings:
[legend]

## Public Attributes
int | Line
std::vector< HighlightingToken > | Tokens
bool | IsInactive

## Detailed Description

Contains all information about highlightings on a single line.

Definition at line 65 of file SemanticHighlighting.h.

## Member Data Documentation

## ◆ IsInactive

bool clang::clangd::LineHighlightings::IsInactive

Definition at line 68 of file SemanticHighlighting.h.

## ◆ Line

int clang::clangd::LineHighlightings::Line

Definition at line 66 of file SemanticHighlighting.h.

Referenced by clang::clangd::operator==().

## ◆ Tokens

std::vector<HighlightingToken> clang::clangd::LineHighlightings::Tokens

Definition at line 67 of file SemanticHighlighting.h.

Referenced by clang::clangd::operator==().

The documentation for this struct was generated from the following file:

- SemanticHighlighting.h